# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: 'sk'
    fallback_locale: ['sk', 'en']
    app.path.images: '/uploads/images'
    app.path.pdf_images: '/uploads/images/pdf'
    app.path.catalogs: '/uploads/catalogs'
    app.path.certificates: '/uploads/certificates'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

    catalog_listener:
        class: App\Listener\CatalogPdfUploadedListener
        tags:
            -
                name: doctrine.orm.entity_listener
                event: postPersist
                entity: App\Entity\Catalog

#    App\Listener\RequestListener:
#        tags:
#            - { name: kernel.event_listener, event: kernel.request }

    App\EventSubscriber\LocaleSubscriber:
        arguments: ['%locale%']
        tags: [kernel.event_subscriber]
